package com.m2pool.common.core.annotation;

import com.m2pool.common.core.constant.CacheConstants;
import com.m2pool.common.core.constant.Constants;
import com.m2pool.common.core.enums.LimitType;

import java.lang.annotation.*;

/**
 * @Description TODO
 * @Date 2024/6/12 17:28
 * @Author dy
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RateLimiter
{
    // 限流key
    public String key() default CacheConstants.RATE_LIMIT_KEY;

    // 限流时间,单位秒
    public int time() default 30;

    // 限流次数
    public int count() default 30;

    // 限流类型
    public LimitType limitType() default LimitType.DEFAULT;
}
